Bug 1605791 - python-nibabel: FTBFS in Fedora rawhide
Summary: python-nibabel: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nibabel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON37 F29FTBFS 1605718 1605792
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:00 UTC by Mohan Boddu
Modified: 2018-08-13 14:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-13 13:39:52 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-20 17:00 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 17:00 UTC, Mohan Boddu
no flags Details
state.log (647 bytes, text/plain)
2018-07-20 17:00 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 17:00:22 UTC
python-nibabel failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28223012


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-nibabel at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-nibabel will be orphaned. Before branching of Fedora 30,
python-nibabel will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:00:33 UTC
Created attachment 1466480 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 17:00:36 UTC
Created attachment 1466481 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:00:39 UTC
Created attachment 1466482 [details]
state.log

Comment 4 Miro Hrončok 2018-07-25 09:25:19 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 5 Miro Hrončok 2018-08-06 10:22:31 UTC
This is another friendly reminder.

Please take action.

Comment 6 Igor Raits 2018-08-06 10:29:43 UTC
If you could help me updating to latest version (along with de-unbundling netcdf part), I would very appreciate that.

Comment 7 Miro Hrončok 2018-08-06 10:35:41 UTC
This is the latest version.

Comment 8 Miro Hrončok 2018-08-13 11:59:36 UTC
Another bulk reminder. Please take action. Your package doesn't install on Fedora 29. Fix it or retire it.

Comment 9 Igor Raits 2018-08-13 13:39:52 UTC
There has been at least one successfull build after mass rebuild.

python-nibabel-2.3.0-3.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1135749


Note You need to log in before you can comment on or make changes to this bug.